SampleCashSchemaV3.PersistentCashState
Keywords: net.corda.finance.test.SampleCashSchemaV3.PersistentCashState class
Date: 2023-09-18

net.corda.finance.test

## Class SampleCashSchemaV3.PersistentCashState

- net.corda.core.schemas.PersistentState
- - net.corda.finance.test.SampleCashSchemaV3.PersistentCashState

- All Implemented Interfaces:
    DirectStatePersistable, StatePersistable
  Enclosing class:
    SampleCashSchemaV3

      @Entity
      public static class SampleCashSchemaV3.PersistentCashState
      extends PersistentState

- - ### Constructor Detail

    - #### PersistentCashState

          public PersistentCashState(@Nullable
                                     java.util.Set<net.corda.core.identity.AbstractParty> participants,
                                     @Nullable
                                     AbstractParty owner,
                                     long pennies,
                                     @NotNull
                                     java.lang.String currency,
                                     @Nullable
                                     AbstractParty issuer,
                                     @NotNull
                                     kotlin.Array[] issuerRef)

      Parameters:
        `participants` - X500Name of participant parties
        `owner` - X500Name of owner party
        `issuer` - X500Name of issuer party

  - ### Method Detail

    - #### getParticipants

          @Nullable
          public java.util.Set<net.corda.core.identity.AbstractParty> getParticipants()

      X500Name of participant parties

    - #### setParticipants

          public void setParticipants(@Nullable
                                      java.util.Set<net.corda.core.identity.AbstractParty> p)

      X500Name of participant parties

      Parameters:
        `p` - X500Name of participant parties

    - #### getOwner

          @Nullable
          public AbstractParty getOwner()

      X500Name of owner party

    - #### setOwner

          public void setOwner(@Nullable
                               AbstractParty p)

      X500Name of owner party

      Parameters:
        `p` - X500Name of owner party

    - #### getPennies

          public long getPennies()

    - #### setPennies

          public void setPennies(long p)

    - #### getCurrency

          @NotNull
          public java.lang.String getCurrency()

    - #### setCurrency

          public void setCurrency(@NotNull
                                  java.lang.String p)

    - #### getIssuer

          @Nullable
          public AbstractParty getIssuer()

      X500Name of issuer party

    - #### setIssuer

          public void setIssuer(@Nullable
                                AbstractParty p)

      X500Name of issuer party

      Parameters:
        `p` - X500Name of issuer party

    - #### getIssuerRef

          @NotNull
          public kotlin.Array[] getIssuerRef()

    - #### setIssuerRef

          public void setIssuerRef(@NotNull
                                   kotlin.Array[] p)